## gnupg2 2.2.4

=== debian/changelog ===
gnupg2 (2.2.4-1ubuntu1) bionic; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - debian/gnupg2.udev:
      - Add udev rules to give gpg access to some smartcard readers;
        Debian #543217.
      - udev rules to set ACLs on SCM smartcard readers.
    - Add breaks for software-properties-common at 0.96.24.3 or lower.
    - Honor http_proxy= environment variables by default in the systemd
      user session dirmngr service. LP: #1625848
    - Export GPG_AGENT_INFO in the systemd-environment-generator too.

  * Dropped changes:
    - Removed user session upstart support.
    - Removed gpg-agent.service changes, use Debian's environment generator instead.
    - Patch to set GNUPGHOME for tests, fixed in debian/upstream.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 11 Jan 2018 13:33:17 +0000

gnupg2 (2.2.4-1) unstable; urgency=medium

  * New upstream release
  * do not use uupdate (we use gbp-import-orig)
  * dirmngr: cannot avoid idling in current arrangement
  * adjusting fixes to gpgsm defaults
  * prefer SHA-512 specifically on personal-digest-preferences.
  * refresh patches
  * Standards-Version: bump to 4.1.3 (no changes needed)
  * drop unnecessary lintian override
  * reflect actual requirement for libassuan
  * import bugfixes from upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 03 Jan 2018 12:43:40 -0500

gnupg2 (2.2.3-1) unstable; urgency=medium

  * New upstream release
  * refreshed patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 30 Nov 2017 19:06:35 -0500

gnupg2 (2.2.2-1) unstable; urgency=medium

  * new upstream release.
  * avoid testsuite delays from excess socket waiting
  * clean up trailing whitespace in debian/{rules,changelog}
  * drop patches already upstream
  * refresh remaining patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 08 Nov 2017 20:09:33 +0100

gnupg2 (2.2.1-5) unstable; urgency=medium

  * block ptrace on scdaemon as well as gpg-agent (Closes: #878952)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 27 Oct 2017 01:43:20 -0400

gnupg2 (2.2.1-4) unstable; urgency=medium

  * restore lintian override, because ftp-master isn't yet running lintian
    2.5.55 (see #877999 for more details)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 19 Oct 2017 02:33:36 -0400

gnupg2 (2.2.1-3) unstable; urgency=medium

  * bugfix for multiple keyrings (Closes: #878812)
  * drop an unnecessary lintian override

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 19 Oct 2017 00:23:41 -0400

gnupg2 (2.2.1-2) unstable; urgency=medium

  * adopt bugfixes and documentation improvements from upstream
  * reorganize debian/patches for simpler maintenance
  * move gnupg-l10n to Section: localization
  * Standards-Version: bump to 4.1.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 10 Oct 2017 10:05:45 -0400

gnupg2 (2.2.1-1) unstable; urgency=medium

  * New upstream release
  * drop patches already applied upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 19 Sep 2017 08:26:26 -0400

gnupg2 (2.2.0-3) unstable; urgency=medium

  * avoid FTBFS when TZ=UTC-12 (Closes: #874617)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 08 Sep 2017 02:10:02 -0400

gnupg2 (2.2.0-2) unstable; urgency=medium

  * dirmngr and gpgv-static are Multi-arch: foreign (Closes: #874111)
  * update to stronger cryptographic defaults.
  * use upstream gpg-agent-browser.socket systemd user service
  * publish SSH_AUTH_SOCK for wayland users (Closes: #855868)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 07 Sep 2017 19:20:35 -0400

gnupg2 (2.2.0-1) unstable; urgency=medium

  * New upstream release.
  * drop patches already upstream
  * scdaemon: bugfix from upstream for large ECC keys
  * Standards-Version: bump to 4.1.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 06 Sep 2017 13:10:28 -0400

gnupg2 (2.1.23-2) unstable; urgency=medium

  * add openssh-client to build-deps for testing

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 13 Aug 2017 22:48:23 -0400

gnupg2 (2.1.23-1) unstable; urgency=medium

  * New upstream release
  * move to unstable
  * refresh patches
  * keep default --no-auto-key-retrieve
  * Standards-Version: 4.0.1 (Priority: extra -> optional)
  * run tests in parallel

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 11 Aug 2017 09:56:05 -0400

gnupg2 (2.1.22-1) experimental; urgency=medium

  * New upstream release
  * refreshed patches
  * pulled a few bugfix patches from upstream
  * simplify systemd user units

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 07 Aug 2017 01:17:19 -0400

gnupg2 (2.1.21-4) experimental; urgency=medium

  * package reorganization:
   - new package 'gpg' is just for public key operations
   - 'gnupg' package is the full suite
   - 'gnupg-agent' package is renamed to 'gpg-agent'
   - 'gpgconf' is a base package, other packages depend on it
   - 'gnupg-utils' are a grab-bag of helper tools that may be useful
  * scdaemon: add AppStream metainfo about supported smartcards

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 26 Jul 2017 12:50:55 -0400

gnupg2 (2.1.21-3) experimental; urgency=medium

  * include upstream bugfixes and improvements (Closes: #863221)
  * build gpgcompose, ship new gpgcompose binary package
  * upgrade to debhelper 10
  * upgrade to Standards-Version 4.0.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 11 Jun 2017 01:50:30 +0200

gnupg2 (2.1.21-2) experimental; urgency=medium

  [ Stefan Bühler ]
  * Create WKS server and client packages

  [ Daniel Kahn Gillmor ]
  * minor packaging cleanups
  * more upstream bugfix and cleanup patches
  * rename WKS packages to match the tool names

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 18 May 2017 18:02:46 -0400

gnupg2 (2.1.21-1) experimental; urgency=medium

  * new upstream release
  * drop patches alread yupstream, refresh patches

