## gnupg2 2.2.4-1ubuntu1.6%2B9.0trisquel2

=== debian/changelog ===
gnupg2 (2.2.4-1ubuntu1.6+9.0trisquel2) etiona-security; urgency=medium

  * Add support to scdaemon for shared access mode

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 09 Jul 2022 19:06:14 +0000

gnupg2 (2.2.4-1ubuntu1.6) bionic-security; urgency=medium

  * SECURITY UPDATE: signature forgery via injection into the status line
    - debian/patches/CVE-2022-34903.patch: Fix garbled status messages in
      NOTATION_DATA in g10/cpr.c.
    - CVE-2022-34903

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Mon, 04 Jul 2022 12:20:59 -0400

gnupg2 (2.2.4-1ubuntu1.5) bionic-security; urgency=medium

  * SECURITY UPDATE: Certificate Spamming Attack through SKS
    (LP: #1844059)
    - debian/patches/CVE-2019-13050-1.patch: add option to only accept
      self-signatures when importing a key in g10/import.c,
      g10/options.h and doc/gpg.texi.
    - debian/patches/CVE-2019-13050-2.patch: add fallback when importing
      self-signatures only in g10/import.c.
    - debian/patches/CVE-2019-13050-3.patch: add "self-sigs-only" and 
      "import-clean" to the keyserver options in g10/gpg.c and 
      doc/gpg.texi.
    - debian/patches/CVE-2019-13050-4.patch: fix regression by ensuring
      KEYID is available on a pending package in g10/import.c.
    - debian/patches/CVE-2019-13050-5.patch: prevent fallback from being
      used if the options are already used in g10/import.c.
    - CVE-2019-13050

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Thu, 26 May 2022 12:24:46 +0200
