## gnupg2 2.2.8

=== debian/changelog ===
gnupg2 (2.2.8-3ubuntu1.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: CSRF in dirmngr
    - debian/patches/CVE-2018-1000858.patch: don't follow a redirect in
      dirmngr/Makefile.am, dirmngr/http.c, dirmngr/http.h,
      dirmngr/ks-engine-hkp.c, dirmngr/ks-engine-http.c,
      dirmngr/t-http-basic.c, dirmngr/t-http.c.
    - CVE-2018-1000858

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 10 Jan 2019 08:01:09 -0500

gnupg2 (2.2.8-3ubuntu1) cosmic; urgency=medium

  * Sync with Debian. Remaining changes:
    - Honor http_proxy= environment variables by default in the systemd
      user session dirmngr service. LP: #1625848
      (debian/patches/dirmngr-honor-http-proxy.patch)
    - Export GPG_AGENT_INFO in the systemd-environment-generator too.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 03 Sep 2018 20:43:20 -0400

gnupg2 (2.2.8-3) unstable; urgency=medium

  * Ensure arch: all gnupg package supports binMNUs

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 21 Jun 2018 12:18:14 -0400

gnupg2 (2.2.8-2) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * import bugfixes and improvements from upstream/STABLE-BRANCH-2-2
  * ensure that revocation certificates show up in --show-keys output
    (see 7c79bf7f71aa594102cb684b0abd8331bdac4608)
  * try passing not explicit paths to wine for the gpgv-win32 test
  * d/copyright: clarify debian/* licensing
  * convert gnupg metapackage to Architecture: all

  [ Giovanni Mascellani ]
  * avoid parallel tests on riscv64 (Closes: #901646)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 20 Jun 2018 06:56:09 -0400

gnupg2 (2.2.8-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable to fix CVE-2018-12020.  Remaining changes:
    - Honor http_proxy= environment variables by default in the systemd
      user session dirmngr service. LP: #1625848
      (debian/patches/dirmngr-honor-http-proxy.patch)
    - Export GPG_AGENT_INFO in the systemd-environment-generator too.
  * dropped due to applied in debian:
    - debian/gnupg2.udev:
      - udev rules to set ACLs on SCM smartcard readers.
      - Add udev rules to give gpg access to some smartcard readers;
        Debian #543217. (applied in scdaemon in 2.1.11-7+exp1)
  * dropped (no longer needed):
    - Add breaks for software-properties-common at 0.96.24.3 or lower.

 -- Steve Beattie <sbeattie@ubuntu.com>  Wed, 13 Jun 2018 11:44:59 -0700

gnupg2 (2.2.8-1) unstable; urgency=medium

  * New upstream release
  * refresh patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 08 Jun 2018 10:08:36 -0400

gnupg2 (2.2.7-1) unstable; urgency=medium

  * new upstream release
  * update/refresh patches, improve patch description
  * bump standards-version to 4.1.4 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 23 May 2018 11:50:27 -0400

gnupg2 (2.2.5-1) unstable; urgency=medium

  * New upstream release
  * d/gbp.conf: use DEP-14 branch naming
  * d/control: declare Rules-Requires-Root: no
  * drop patches already applied upstream
  * refresh patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 22 Feb 2018 14:20:18 -0800

gnupg2 (2.2.4-3) unstable; urgency=medium

  * version build-deps on mingw library toolchain  (Closes: #889921)
  * drop misbehaving upstream scd patch (Closes: #889751)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 09 Feb 2018 13:51:35 -0500

gnupg2 (2.2.4-2) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * move to debhelper 11
  * d/control: move Vcs to salsa
  * import more bugfixes and hardware from upstream

  [ Helge Deller ]
  * Fix FTBFS on hppa (Closes: #887843)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 05 Feb 2018 23:07:21 -0500
