=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Uploaders:
  Eric Dorland <eric@debian.org>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 Build-Depends:
  automake,
  autopoint,
- debhelper (>= 10~),
+ debhelper (>= 11~),
  file,
  gettext,
  ghostscript,
@@ -35,16 +35,17 @@
  zlib1g-dev | libz-dev,
 Build-Depends-Indep:
  binutils-multiarch [!amd64 !i386],
- libassuan-mingw-w64-dev,
- libgcrypt-mingw-w64-dev,
- libgpg-error-mingw-w64-dev,
- libksba-mingw-w64-dev,
- libnpth-mingw-w64-dev,
+ libassuan-mingw-w64-dev (>= 2.5.0),
+ libgcrypt-mingw-w64-dev (>= 1.7.0),
+ libgpg-error-mingw-w64-dev (>= 1.26-2~),
+ libksba-mingw-w64-dev (>= 1.3.4),
+ libnpth-mingw-w64-dev (>= 1.2),
  libz-mingw-w64-dev,
  mingw-w64,
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnupg/gnupg2.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-gnupg/gnupg2.git
+Vcs-Git: https://salsa.debian.org/debian/gnupg2.git
+Vcs-Browser: https://salsa.debian.org/debian/gnupg2
 Homepage: https://www.gnupg.org/
+Rules-Requires-Root: no
 
 Package: gpgconf
 Architecture: any
@@ -238,18 +239,26 @@
  install the "gnupg" package, which pulls in the full suite of tools.
 
 Package: gnupg
-Architecture: any
-Multi-Arch: foreign
-Depends:
- dirmngr (= ${binary:Version}),
+Architecture: all
+Multi-Arch: foreign
+Depends:
+ dirmngr (>= ${source:Version}),
+ dirmngr (<< ${source:Version}.1~),
  gnupg-l10n (= ${source:Version}),
- gnupg-utils (= ${binary:Version}),
- gpg (= ${binary:Version}),
- gpg-agent (= ${binary:Version}),
- gpg-wks-client (= ${binary:Version}),
- gpg-wks-server (= ${binary:Version}),
- gpgsm (= ${binary:Version}),
- gpgv (= ${binary:Version}),
+ gnupg-utils (>= ${source:Version}),
+ gnupg-utils (<< ${source:Version}.1~),
+ gpg (>= ${source:Version}),
+ gpg (<< ${source:Version}.1~),
+ gpg-agent (>= ${source:Version}),
+ gpg-agent (<< ${source:Version}.1~),
+ gpg-wks-client (>= ${source:Version}),
+ gpg-wks-client (<< ${source:Version}.1~),
+ gpg-wks-server (>= ${source:Version}),
+ gpg-wks-server (<< ${source:Version}.1~),
+ gpgsm (>= ${source:Version}),
+ gpgsm (<< ${source:Version}.1~),
+ gpgv (>= ${source:Version}),
+ gpgv (<< ${source:Version}.1~),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
@@ -268,7 +277,6 @@
  php-crypt-gpg (<= 1.4.1-1),
  python-apt (<= 1.1.0~beta4),
  python-gnupg (<< 0.3.8-3),
- software-properties-common (<= 0.96.24.3),
  python3-apt (<= 1.1.0~beta4),
 Replaces:
  gnupg2 (<< 2.1.11-7+exp1),
@@ -375,13 +383,3 @@
  among other tools.  Unless this package is installed, the parts of
  the GnuPG suite that try to interact with the network will fail.
 
-Package: gpgv-udeb
-Package-Type: udeb
-Section: debian-installer
-Architecture: any
-Depends:
- ${misc:Depends},
- ${shlibs:Depends},
-Description: minimal signature verification tool
- GnuPG is GNU's tool for secure communication and data storage.
- It can be used to encrypt data and to create digital signatures.
