## gnupg2 2.2.12

=== debian/changelog ===
gnupg2 (2.2.12-1+rpi1+deb10u2) buster-staging; urgency=medium

  [changes brought forward from 2.2.12-1+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Thu, 20 Dec 2018 15:10:42 +0000]
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Thu, 01 Aug 2024 18:15:34 +0000

gnupg2 (2.2.12-1+deb10u2) buster-security; urgency=high

  [ Roger Shimizu ]
  * d/control: Update Build-Depends: libgpg-error-dev (>= 1.35)

  [ Daniel Kahn Gillmor ]
  * fix broken status line (Closes: #1014157)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 01 Jul 2022 12:06:43 -0400

gnupg2 (2.2.12-1+deb10u1) buster; urgency=medium

  * drop unneeded patch for printing revocation certificates
  * backport bugfix and stability patches from upstream 2.2.13
  * backport bugfix and stability patches from upstream 2.2.14
  * backport documentation, stability, ssh, and WKD patches from upstream 2.2.15
  * backport documentation and bugfix patches from upstream 2.2.16
  * import bugfixes and cleanup around secret key handling from 2.2.14
  * backport bugfixes, documentation, WKD, and keyserver fixes from 2.2.17
  * import efficiency and security fixes from upstream STABLE-BRANCH-2-2
  * avoid using SKS pool CA unless the keyserver is hkps.pool.sks-keyservers.net
  * drop import-clean from default keyserver options, to avoid data loss
  * use keys.openpgp.org as the default keyserver
  * enable merging certificate updates even if update has no user ID
  * update Vcs-Git: to point to debian/buster branch
  * Adopt migrate-pubring-from-classic-gpg robustness fixes (Closes: #931385)
  * add new CI test: debian/tests/simple-tests
  * debian/tests/gpgv-win32: make arch-specific (Closes: #905563)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 22 Aug 2019 15:11:59 -0400

gnupg2 (2.2.12-1) unstable; urgency=medium

  * New upstream release
  * refresh patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 14 Dec 2018 20:17:16 -0500

gnupg2 (2.2.11-1) unstable; urgency=medium

  * new upstream release
  * refresh patches
  * refresh upstream/signing-key.asc
  * deprecate gpg-zip
  * gnupg-utils: ship gpgtar, since gpg-zip is deprecated
  * Make gpg-zip use tar from $PATH (Closes: #913582)
  * fix spelling mistakes in tools documentation

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 18 Nov 2018 17:38:30 -0500

gnupg2 (2.2.10-3) unstable; urgency=medium

  [ Bjarni Ingi Gislason ]
  * clean up nroff for gpg-check-pattern.1 (Closes: #900247)

  [ Daniel Kahn Gillmor ]
  * backport fix for subkey binding sigs

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 08 Oct 2018 11:36:01 -0400

gnupg2 (2.2.10-2) unstable; urgency=medium

  * import upstream minor bugfixes
  * wrap-and-sort -ast
  * actually ship gpgcompose in gnupg-utils
  * drop debian/source/options (thanks, Lintian!)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 30 Sep 2018 11:40:42 -0500

gnupg2 (2.2.10-1) unstable; urgency=medium

  * new upstream maintenance release
  * drop patches already upstream
  * refresh patches
  * Standards-Version: bump to 4.2.1 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 30 Aug 2018 11:57:15 -0400

gnupg2 (2.2.9-2) unstable; urgency=medium

  [ Daniel Kahn Gillmor ]
  * spell Tor correctly (Closes: #895398)
  * Standards-Version: bump to 4.2.0 (no changes needed)
  * corrected license in AppStream file
  * standardize udev rules for Yubikey USB devices and claim them in AppStream
  * from upstream: s2k bugfix, support for Trustica Cryptoucan
  * Claim Trustica Cryptoucan via AppStream

  [ Jiří Keresteš ]
  * udev rule for Trustica Cryptoucan

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 24 Aug 2018 09:48:15 -0400

gnupg2 (2.2.9-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: bump to 4.1.5 (no changes needed)
  * drop patches already upstream
  * refresh patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 19 Jul 2018 14:02:31 -0400
