=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: gnupg2
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
+Maintainer: Debian GnuPG Maintainers <pkg-gnupg-maint@lists.alioth.debian.org>
 Uploaders:
  Eric Dorland <eric@debian.org>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Build-Depends:
  automake,
  autopoint,
@@ -20,7 +19,7 @@
  libcurl4-gnutls-dev,
  libgcrypt20-dev (>= 1.7.0),
  libgnutls28-dev (>= 3.0),
- libgpg-error-dev (>= 1.26-2~),
+ libgpg-error-dev (>= 1.35),
  libksba-dev (>= 1.3.4),
  libldap2-dev,
  libnpth0-dev (>= 1.2),
@@ -42,7 +41,7 @@
  libnpth-mingw-w64-dev (>= 1.2),
  libz-mingw-w64-dev,
  mingw-w64,
-Vcs-Git: https://salsa.debian.org/debian/gnupg2.git
+Vcs-Git: https://salsa.debian.org/debian/gnupg2.git -b debian/buster
 Vcs-Browser: https://salsa.debian.org/debian/gnupg2
 Homepage: https://www.gnupg.org/
 Rules-Requires-Root: no
@@ -242,23 +241,23 @@
 Architecture: all
 Multi-Arch: foreign
 Depends:
+ dirmngr (<< ${source:Version}.1~),
  dirmngr (>= ${source:Version}),
- dirmngr (<< ${source:Version}.1~),
  gnupg-l10n (= ${source:Version}),
+ gnupg-utils (<< ${source:Version}.1~),
  gnupg-utils (>= ${source:Version}),
- gnupg-utils (<< ${source:Version}.1~),
+ gpg (<< ${source:Version}.1~),
  gpg (>= ${source:Version}),
- gpg (<< ${source:Version}.1~),
+ gpg-agent (<< ${source:Version}.1~),
  gpg-agent (>= ${source:Version}),
- gpg-agent (<< ${source:Version}.1~),
+ gpg-wks-client (<< ${source:Version}.1~),
  gpg-wks-client (>= ${source:Version}),
- gpg-wks-client (<< ${source:Version}.1~),
+ gpg-wks-server (<< ${source:Version}.1~),
  gpg-wks-server (>= ${source:Version}),
- gpg-wks-server (<< ${source:Version}.1~),
+ gpgsm (<< ${source:Version}.1~),
  gpgsm (>= ${source:Version}),
- gpgsm (<< ${source:Version}.1~),
+ gpgv (<< ${source:Version}.1~),
  gpgv (>= ${source:Version}),
- gpgv (<< ${source:Version}.1~),
  ${misc:Depends},
  ${shlibs:Depends},
 Recommends:
@@ -376,10 +375,13 @@
  certificates.  For OpenPGP, this means pulling from the public
  HKP/HKPS keyservers, or from LDAP servers.  For X.509 this includes
  Certificate Revocation Lists (CRLs) and Online Certificate Status
- Protocol updates (OCSP).  It is capable of using tor for network
+ Protocol updates (OCSP).  It is capable of using Tor for network
  access.
  .
  dirmngr is used for network access by gpg, gpgsm, and dirmngr-client,
  among other tools.  Unless this package is installed, the parts of
  the GnuPG suite that try to interact with the network will fail.
 
+Package: gpgv-udeb
+Package-Type: udeb
+Section: debian-installer
