## gnupg2 2.2.12.2

=== debian/changelog ===
gnupg2 (2.2.12.2-1+dde) unstable; urgency=medium

  * CVE-2022-34903
    Problem:    GnuPG through 2.3.6, in unusual situations where an attacker
                possesses any secret-key information from a victim's keyring
                and other constraints (e.g., use of GPGME) are met, allows
                signature forgery via injection into the status line
    Solution:   Always using a break to terminate the escape detection loop.

    -- liaoyuan <liaoyuan@uniontech.com>  Wed, 20 Jul 2022 11:31:05 +0800

gnupg2 (2.2.12.1-1+dde) unstable; urgency=medium

  * uos sw64 porting

 -- deepin/sw64 team <sunway@deepin.com>  Mon, 22 Feb 2021 15:07:39 +0800
