=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
  libcurl4-gnutls-dev,
  libgcrypt20-dev (>= 1.7.0),
  libgnutls28-dev (>= 3.0),
- libgpg-error-dev (>= 1.35),
+ libgpg-error-dev (>= 1.26-2~),
  libksba-dev (>= 1.3.4),
  libldap2-dev,
  libnpth0-dev (>= 1.2),
@@ -33,14 +33,14 @@
  transfig,
  zlib1g-dev | libz-dev,
 Build-Depends-Indep:
- binutils-multiarch [!amd64 !i386],
+ binutils-multiarch [!amd64 !i386 !sw_64],
  libassuan-mingw-w64-dev (>= 2.5.0),
  libgcrypt-mingw-w64-dev (>= 1.7.0),
  libgpg-error-mingw-w64-dev (>= 1.26-2~),
  libksba-mingw-w64-dev (>= 1.3.4),
- libnpth-mingw-w64-dev (>= 1.2),
+ libnpth-mingw-w64-dev (>= 1.2) [!sw_64],
  libz-mingw-w64-dev,
- mingw-w64,
+ mingw-w64 [!sw_64],
 Vcs-Git: https://salsa.debian.org/debian/gnupg2.git -b debian/buster
 Vcs-Browser: https://salsa.debian.org/debian/gnupg2
 Homepage: https://www.gnupg.org/
@@ -384,4 +384,3 @@
 
 Package: gpgv-udeb
 Package-Type: udeb
-Section: debian-installer
