=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 
 # avoid -pie for gpgv-static on kfreebsd-amd64, and x32
 # platforms, which cannot support it by default:
-ifeq (,$(filter $(DEB_HOST_ARCH), kfreebsd-amd64 x32))
+ifeq (,$(filter $(DEB_HOST_ARCH), kfreebsd-amd64 x32 sw_64))
 GPGV_STATIC_HARDENING = "-pie"
 else
 GPGV_STATIC_HARDENING = ""
@@ -60,6 +60,7 @@
 	mv build-gpgv-static/g10/gpgv build-gpgv-static/g10/gpgv-static
 
 override_dh_auto_build-indep:
+ifneq ($(DEB_HOST_ARCH), sw_64)
 	mkdir -p build-gpgv-win32
 	cd build-gpgv-win32 && $(WIN32_FLAGS) ../configure \
 	   	$(foreach x, $(GPGV_UDEB_UNNEEDED), --disable-$(x)) \
@@ -74,10 +75,13 @@
 	cd build-gpgv-win32/kbx && $(WIN32_FLAGS) $(MAKE) libkeybox.a
 	cd build-gpgv-win32/g10 && $(WIN32_FLAGS) $(MAKE) gpgv.exe
 	strip build-gpgv-win32/g10/gpgv.exe
+else
+	: > debian/gpgv-win32.install
+endif
 
 
 override_dh_auto_test:
-	#dh_auto_test --builddirectory=build -- verbose=3 TESTFLAGS=$(AUTOTEST_FLAGS)
+	dh_auto_test --builddirectory=build -- verbose=3 TESTFLAGS=$(AUTOTEST_FLAGS)
 
 override_dh_shlibdeps:
 # Make ldap a recommends rather than a hard dependency.
