## gnupg2 2.2.13

=== debian/changelog ===
gnupg2 (2.2.13-1) unstable; urgency=medium

  * New upstream release (Closes: #919856)

  [ Roger Shimizu ]
  * add some simple tests for gpg{,v}. Thanks to Julian Andres Klode
    (Closes: #920892).

  [ Daniel Kahn Gillmor ]
  * refresh patches
  * cherry-pick fixes from upstream STABLE-BRANCH-2-2
  * Standards-Version: bump to 4.3.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 02 Mar 2019 11:50:15 -0500
