=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Eric Dorland <eric@debian.org>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Build-Depends:
  automake,
  autopoint,
@@ -33,15 +33,15 @@
  transfig,
  zlib1g-dev | libz-dev,
 Build-Depends-Indep:
- binutils-multiarch [!amd64 !i386 !sw_64],
+ binutils-multiarch [!amd64 !i386],
  libassuan-mingw-w64-dev (>= 2.5.0),
  libgcrypt-mingw-w64-dev (>= 1.7.0),
  libgpg-error-mingw-w64-dev (>= 1.26-2~),
  libksba-mingw-w64-dev (>= 1.3.4),
- libnpth-mingw-w64-dev (>= 1.2) [!sw_64],
+ libnpth-mingw-w64-dev (>= 1.2),
  libz-mingw-w64-dev,
- mingw-w64 [!sw_64],
-Vcs-Git: https://salsa.debian.org/debian/gnupg2.git -b debian/buster
+ mingw-w64,
+Vcs-Git: https://salsa.debian.org/debian/gnupg2.git
 Vcs-Browser: https://salsa.debian.org/debian/gnupg2
 Homepage: https://www.gnupg.org/
 Rules-Requires-Root: no
@@ -384,3 +384,6 @@
 
 Package: gpgv-udeb
 Package-Type: udeb
+Section: debian-installer
+Architecture: any
+Depends:
